Bug 484814 - Can not Format Virtual Disks Presented to a Windows 2008 VM
Can not Format Virtual Disks Presented to a Windows 2008 VM
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Michal Novotny
Virtualization Bugs
:
Depends On:
Blocks: 514498
  Show dependency treegraph
 
Reported: 2009-02-09 19:49 EST by Hector Arteaga
Modified: 2014-02-02 17:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 17:02:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hector Arteaga 2009-02-09 19:49:16 EST
Description of problem:
When a virtual disk is presented to a Windows 2008 VM, the resulting disk on the Windows side can not be formatted.  When the disk is selected for formatting, the process initiates as normal.  However, after about 5 or 10 minutes an error message indicating that the format failed pops up.  This is not seen on windows 2003 VMs

Version-Release number of selected component (if applicable):
RedHat 5.3 xen

How reproducible:
100%

Steps to Reproduce:
1.  Create a Windows 2008 fully virtualized VM
2.  Create an LVM backed Virtual Disk and present it to the VM as a "scsi" disk
3.  From the Window VM attempt to format the disk

Additional info:
The following events are logged in the system event log:

Log Name:      System
Source:        Sym_hi
Date:          2/10/2009 12:29:35 AM
Event ID:      117
Task Category: None
Level:         Error
Keywords:      Classic
User:          N/A
Computer:      cb-xen-vm42
Description:
The driver for device \Device\Scsi\Sym_hi1 detected a port timeout due to prolonged inactivity. All associated busses were reset in an effort to clear the condition.
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Sym_hi" />
    <EventID Qualifiers="49156">117</EventID>
    <Level>2</Level>
    <Task>0</Task>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2009-02-10T08:29:35.695Z" />
    <EventRecordID>6499</EventRecordID>
    <Channel>System</Channel>
    <Computer>cb-xen-vm42</Computer>
    <Security />
  </System>
  <EventData>
    <Data>\Device\Scsi\Sym_hi1</Data>
    <Binary>000000000100000000000000750004C0000100000000000000000000000000000000000000000000</Binary>
  </EventData>
</Event>


Log Name:      System
Source:        Sym_hi
Date:          2/10/2009 12:29:21 AM
Event ID:      9
Task Category: None
Level:         Error
Keywords:      Classic
User:          N/A
Computer:      cb-xen-vm42
Description:
The device, \Device\Scsi\Sym_hi1, did not respond within the timeout period.
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Sym_hi" />
    <EventID Qualifiers="49156">9</EventID>
    <Level>2</Level>
    <Task>0</Task>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2009-02-10T08:29:21.499Z" />
    <EventRecordID>6498</EventRecordID>
    <Channel>System</Channel>
    <Computer>cb-xen-vm42</Computer>
    <Security />
  </System>
  <EventData>
    <Data>\Device\Scsi\Sym_hi1</Data>
    <Binary>0F0010000100000000000000090004C001010050000000000100000000000000000000000000000000000000010000000000000007000000</Binary>
  </EventData>
</Event>
Comment 2 ashok 2009-03-16 05:06:13 EDT
Windows Can detect Raw Hardware and Detect a Partition. If the partition ID is understood by Windows and or there is a suitable driver then Windows can format that partition. 

Now my queries:

1: Please put an expected result( What is generally expected )
2: Does Windows Understand Linux-LVM type partition?

In My case I found 
1) it displays the physical disks and partitions
2) Type is "raw" means Windows is unaware of the Partition ID.

Please Put your comment.
Comment 3 Hector Arteaga 2009-03-16 12:40:58 EDT
I don't believe that Windows can Understant Linux-LVM partitions, but at the Guest OS, those details should be hidden and Windows should think its talking to a RAW scsi disk.  At lease that is my understading.  What I meant when I said - Create an LVM backed Virtual Disk and present it to the VM as a "scsi" disk - is that I created a Logical Volume on the Xen server and presented that LV to the Windows Guest as a scsi disk.

The expectation would be a successful format of the "scsi" disk from a windows 2008 perspective.

In my case, I also see the presented scsi disk in Disk Manager as a RAW device.  But when I kick off the formatt for the disk, it takes a long time in the "formatting" stage before it finally fails.
Comment 4 ashok 2009-03-17 02:04:35 EDT
(In reply to comment #3)
> I don't believe that Windows can Understant Linux-LVM partitions, but at the
> Guest OS, those details should be hidden and Windows should think its talking
> to a RAW scsi disk.  At lease that is my understading.  What I meant when I
> said - Create an LVM backed Virtual Disk and present it to the VM as a "scsi"
> disk - is that I created a Logical Volume on the Xen server and presented that
> LV to the Windows Guest as a scsi disk.
> 

Right and The Windows Guest saw it as a SCSI disk too.
I guess you also put a partition ID (8e for Linux LVM) on the partition you have created.

> The expectation would be a successful format of the "scsi" disk from a windows
> 2008 perspective.
> 

Windows saw a partition ID which it never understood, hence when you tried to format it failed. The Way around would be to delete the partition from disk-manager, and create a new partition and format. Which is appropriate in this case.

> In my case, I also see the presented scsi disk in Disk Manager as a RAW device.
>  But when I kick off the formatt for the disk, it takes a long time in the
> "formatting" stage before it finally fails.  

Even on WinXP-SP3 shows the same result as you saw it on Win2008.
Winxp-SP3 detects it as raw SCSI and if trying to format shows Could not format.
But as I described if The partition is deleted and created a new partition then it formats it.
Comment 5 Hector Arteaga 2009-03-17 12:27:39 EDT
Thanks for the clarification.  I'll attemp to format again with the advice you've given me and update you with my findings.
Comment 7 Sandy McDonald 2009-09-02 18:07:41 EDT
(In reply to comment #5)
> Thanks for the clarification.  I'll attemp to format again with the advice
> you've given me and update you with my findings.  

Just curious if you were able to resolve the format issue on Win2008 as I'm having same format issue on both Win2008 SP1 and Win2003 R2 SP2 guests.

We have these Windows guests on RHEL 5.3 2.6.18-128.el5xen with dm-multipath disks.  Actually, we tried with both sd* and mpath* disk paths ... and same problems.  Both the sd* and mpaths* disks are accessible by the Xen server.

We found bug 480843 (https://bugzilla.redhat.com/show_bug.cgi?id=480843) and reduced memory on guest VMs from 4GB to 3 and 2GB.  Now we got 2 new system errors with Event IDs 9 and 11 in addition to 117.  
   
   - Event ID 11:  The driver detected a controller error on \Device\Scsi\sym_hi1.   
   - Event ID 9:   The device, \Device\Scsi\Sym_hi1, did not respond within the timeout period.
Comment 9 Michal Novotny 2010-03-22 08:01:23 EDT
(In reply to comment #7)
> (In reply to comment #5)
> > Thanks for the clarification.  I'll attemp to format again with the advice
> > you've given me and update you with my findings.  
> 
> Just curious if you were able to resolve the format issue on Win2008 as I'm
> having same format issue on both Win2008 SP1 and Win2003 R2 SP2 guests.
> 
> We have these Windows guests on RHEL 5.3 2.6.18-128.el5xen with dm-multipath
> disks.  Actually, we tried with both sd* and mpath* disk paths ... and same
> problems.  Both the sd* and mpaths* disks are accessible by the Xen server.
> 
> We found bug 480843 (https://bugzilla.redhat.com/show_bug.cgi?id=480843) and
> reduced memory on guest VMs from 4GB to 3 and 2GB.  Now we got 2 new system
> errors with Event IDs 9 and 11 in addition to 117.  
> 
>    - Event ID 11:  The driver detected a controller error on
> \Device\Scsi\sym_hi1.   
>    - Event ID 9:   The device, \Device\Scsi\Sym_hi1, did not respond within the
> timeout period.    

Well, this is no bug in Windows itself since Windows is seeing it as a SCSI device. The real bug is in qemu-dm process which is executed by Xen for it belongs to Xen component.

Michal
Comment 10 Michal Novotny 2010-07-13 08:29:03 EDT
Hector,
there were some patches about SCSI disk that were supposed to fix it in the test version. I'm not sure their availability already but could you please try the virttest RPMs containing those patches? You can download those virttest RPMs from http://people.redhat.com/mrezanin/xen/

I did test it using Windows 2008 VM with LVM backed 1G partition presented to the guest as SCSI disk and both formatting and disk operations (read/write) on the SCSI device were working successfully.

Could you please retest using those RPMs please?

Thanks,
Michal
Comment 11 Michal Novotny 2010-07-13 08:30:59 EDT
Just a note: The system was x64 Windows and also there were some issues (a bug) in the LSI SCSI driver controller implementation. The RPMs provided with the link should have both the SCSI driver fixes in general and for x64 LSI drivers implementation.

Michal
Comment 12 Hector Arteaga 2010-07-13 17:02:20 EDT
Hi Michal.  I no longer work with Xen so I am unable to provide the required data.  I'm closing this bug with "Inusfficient Data".
Comment 13 Michal Novotny 2010-07-14 05:59:58 EDT
Ok Hector, good. If somebody gets into the similar issues like you did he/she can reopen this bug.

Thanks for your input anyway,
Michal

Note You need to log in before you can comment on or make changes to this bug.